<?php
$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_6edacb78bd55c5015af2" . "7c8ac1fcd9af" => base64_decode("bWV0a" . "G9kX2" . "V4aXN" . "0cw=="), "_19d1237a619f7" . "b35ad6dbebf025" . "f17c8" => base64_decode("c3" . "Ry" . "Y2" . "1w"), "_c06c961f393742ecfd52b" . "72263ac9470" => base64_decode("aW50dmF" . "s"), "_80453d7bea0d" . "dc48afe3e3c89" . "e0b8aec" => base64_decode("Tm9uLWV4aXN0aW5nIHZhbGlkYXRpb24gbWV0aG9kICc" . "="), "_4d707fab93bebb00bbe6" . "9e8159697c90" => base64_decode(""), "_7eacce07e2449116f6" . "2c9464710c37f7" => base64_decode("cmVzZX" . "Q="), "_aed8da0f190" . "91214b78f803" . "51048517c" => base64_decode("c3R" . "ybG" . "Vu"), "_e608e5b5c4c34a67b" . "a97ef84c1e16199" => base64_decode("J" . "w" . "=" . "="));
use Psr\Http\Message\ServerRequestInterface;





abstract class FFControlBaseIsolated extends ErrorHandler implements FFControlIsolated
{
    var $was_changed = false;
    public $parameters = array();
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    protected function ExchangeValues(&$data, ServerRequestInterface $request, $name, $default = null, $validate_method = null)
    {
        if (\Claromentis\Core\Http\gpc::getvar($request, $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_7eacce07e2449116f62c9464710c37" . "f7"]) != $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_4d707fab93bebb00bbe69e815" . "9697c90"]) {
            $data = null;
        } else {
            $value = \Claromentis\Core\Http\gpc::getvar($request, $name);
        }
        if (!isset($value)) {
            $value = isset($data[$name]) ? $data[$name] : null;
        } else {
            if (isset($data[$name]) && $data[$name] != $value) {
                $this->was_changed = true;
            }
            $data[$name] = $value;
        }
        if ($validate_method) {
            if ($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_6edacb78bd55c5015af27c" . "8ac1fcd9af"]($this, $validate_method)) {
                if (!$this->{$validate_method}($value) && $this->{$validate_method}($default)) {
                    $value = $default;
                }
            } else {
                $this->SetErrMsg($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_80453d7bea0ddc4" . "8afe3e3c89e0b8ae" . "c"] . $validate_method . $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_e608e5b5c4c34a67ba97ef84c1e1" . "6199"]);
            }
        }
        return $value;
    }
    
    
    
    
    
    
    
    
    protected function Validate($value)
    {
        return isset($value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateInteger($value)
    {
        return !!$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_aed8da0f19091214b78f80351048" . "517c"]($value) && !$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_19d1237a619" . "f7b35ad6dbeb" . "f025f17c8"]($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_c06c961f39374" . "2ecfd52b72263a" . "c9470"]($value), $value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateString($value)
    {
        return !!$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_aed8da0f1909" . "1214b78f80351" . "048517c"]($value);
    }
}